# $Id: bash-completion.spec,v 1.1 2003/05/05 10:52:43 dude Exp $

%define bashversion %(rpm -q --qf '%%{version}' bash)

Summary: Programmable completion for bash %{bashversion}.
Name: bash-completion
Version: 20030505
Release: fr1
Group: System Environment/Shells
License: GPL
Source: http://www.caliban.org/files/bash/%{name}-%{version}.tar.bz2
URL: http://www.caliban.org/bash/
BuildRoot: %{_tmppath}/%{name}-root
Requires: bash >= 2.05-12, grep, textutils, sed, fileutils
BuildArch: noarch

%description
A collection of shell functions that take advantage of the programmable
completion feature of bash 2.04 and later.

%prep
%setup -q -n bash_completion

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/{bash_completion.d,profile.d}
cp -a bash_completion %{buildroot}%{_sysconfdir}/

cat > %{buildroot}%{_sysconfdir}/profile.d/bash_completion.sh << 'EOF'
# Check for bash
[ -z "$BASH_VERSION" ] && return

# Check for correct version of bash
bash=${BASH_VERSION%.*}; bmajor=${bash%.*}; bminor=${bash#*.}
if [ $bmajor -eq 2 ] && [ $bminor '>' 04 ] && [ -r %{_sysconfdir}/bash_completion ]; then
	# source completion code
	. %{_sysconfdir}/bash_completion
fi
unset bash bminor bmajor
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc BUGS COPYING README Changelog contrib/
%attr(0644, root, root) %config %{_sysconfdir}/bash_completion
%attr(0755, root, root) %config %{_sysconfdir}/profile.d/bash_completion.sh
%attr(0755, root, root) %dir %{_sysconfdir}/bash_completion.d/

%changelog
* Mon May  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial release based on the included spec file.

